Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSEmbedded

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSEmbedded`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

public class WSSEmbedded
extends WSSElement
implements WSSecurityTokenReferenceType

This class represents a wsse:Embedded element which is used in a wsse:SecurityTokenReference element to include an embedded security token.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSSEmbedded(org.w3c.dom.Document owner)` Create a new `WSSEmbedded` instance.
`WSSEmbedded(org.w3c.dom.Element element)` Create a new `WSSEmbedded` instance from the given XML element.
`WSSEmbedded(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `WSSEmbedded` instance from the given XML element.

Method Summary
`java.lang.Object` | `getKey()` Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.
`oracle.security.xmlsec.util.QName` | `getName()` Get the name of the security token reference mechanism.
`WSSecurityToken` | `getSecurityToken()` Gets the `SecurityToken` embedded in this structure.
`void` | `setSecurityToken(WSSecurityToken token)` Embeds the given Security Token to this structure.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getNode`

Constructor Detail

### WSSEmbedded

    public WSSEmbedded(org.w3c.dom.Element element)

  Create a new `WSSEmbedded` instance from the given XML element.
Parameters:
  `element` - A wsse:Embedded element.

### WSSEmbedded

    public WSSEmbedded(org.w3c.dom.Element element,
                       java.lang.String systemId)

  Create a new `WSSEmbedded` instance from the given XML element.
Parameters:
  `element` - A wsse:Embedded element.
  `systemId` - The URI string system ID for this element.

### WSSEmbedded

    public WSSEmbedded(org.w3c.dom.Document owner)

  Create a new `WSSEmbedded` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

Method Detail

### setSecurityToken

    public void setSecurityToken(WSSecurityToken token)

  Embeds the given Security Token to this structure.
  Parameters:
    `token` - The security token to embed.

### getSecurityToken

    public WSSecurityToken getSecurityToken()
                                     throws WSSException

  Gets the `SecurityToken` embedded in this structure.
  Specified by:
    `getSecurityToken` in interface `WSSecurityTokenReferenceType`
  Returns:
    The embedded security token.
  Throws:
    `WSSException`

### getName

    public oracle.security.xmlsec.util.QName getName()

  Get the name of the security token reference mechanism.
  Specified by:
    `getName` in interface `WSSecurityTokenReferenceType`
  Returns:
    The QName of the security token reference type.

### getKey

    public java.lang.Object getKey()
                            throws WSSException

  Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.

  **** NOT IMPLEMENTED ****

  Specified by:
    `getKey` in interface `WSSecurityTokenReferenceType`
  Returns:
    The `Key`.
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.